/**
 * 
 */
package org.bellard.eqemu;

import org.eclipse.swt.graphics.Image;

/**
 * @author Eric Bellard - eric.bellard@gmail.com
 * 
 */
public class ImageManager {

	private Image startImage;

	private Image stopImage;

	private Image pauseImage;

	private Image resumeImage;

	public Image getStartImage22x22() {
		if (startImage == null)
			startImage = Activator.getImageDescriptor(
					"icons/22x22/az-start.png").createImage();

		return startImage;
	}

	public Image getStopImage22x22() {
		if (stopImage == null)
			stopImage = Activator.getImageDescriptor("icons/22x22/az-stop.png")
					.createImage();
		return stopImage;
	}

	public Image getPauseImage22x22() {
		if (pauseImage == null)
			pauseImage = Activator.getImageDescriptor(
					"icons/22x22/az-pause.png").createImage();
		return pauseImage;
	}

	public Image getResumeImage22x22() {
		if (resumeImage == null)
			resumeImage = Activator.getImageDescriptor("icons/22x22/resume.png")
					.createImage();
		return resumeImage;
	}
}
