/**
 * 
 */
package org.bellard.eqemu;

import org.apache.log4j.Logger;
import org.bellard.eqemu.utils.ProjectUtils;
import org.eclipse.core.resources.IProject;
import org.eclipse.core.resources.IProjectNature;
import org.eclipse.core.runtime.CoreException;

/**
 * @author Eric Bellard - eric.bellard@gmail.com
 * 
 */
public class EqemuNature implements IProjectNature {

	Logger logger = Logger.getLogger(EqemuNature.class);

	public final static String NATURE = "org.bellard.eqemu.nature";

	private IProject project;

	public void configure() throws CoreException {
		ProjectUtils.addNature(project, NATURE);
	}

	public void deconfigure() throws CoreException {
		ProjectUtils.removeNature(project, NATURE);
	}

	public IProject getProject() {
		return project;
	}

	public void setProject(IProject project) {
		this.project = project;

	}

}
