package org.bellard.eqemu;

import org.bellard.eqemu.views.VMNavigationView;
import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;



public class Perspective implements IPerspectiveFactory {

	public void createInitialLayout(IPageLayout layout) {
		
		String editorArea = layout.getEditorArea();
		layout.setEditorAreaVisible(true);
		layout.addStandaloneView(VMNavigationView.ID,  false, IPageLayout.LEFT, 0.25f, editorArea);
		
		layout.getViewLayout(VMNavigationView.ID).setCloseable(false);

		
	}
}
