/**
 * 
 */
package org.bellard.eqemu.model;

import org.eclipse.jface.util.IPropertyChangeListener;

/**
 * @author Eric Bellard - eric.bellard@gmail.com
 *
 */
public interface IEventManager {

	public void addPropertyChangeListener(IPropertyChangeListener listener);
	   public void firePropertyChangeEvent(String name, Object oldValue,
	            Object newValue);
	   public void removePropertyChangeListener(IPropertyChangeListener listener);

}
