/**
 * 
 */
package org.bellard.eqemu.model;


/**
 * @author Eric Bellard - eric.bellard@gmail.com
 * 
 */
public class VMConfiguration {

	private VM vim;

	public VMConfiguration() {
	}

	public String getName() {
		String name = "";
		if (vim != null) {
			name = vim.getName();
		}
		return name;
	}

	public void setName(String n) {

		if (vim == null) {
			VM vm = new VM(n);
			vm.setConfiguration(this);
		} else {
			vim.setName(n);
		}
	}

	/**
	 * @return the vim
	 */
	public VM getVim() {
		return vim;
	}

	/**
	 * @param vim
	 *            the vim to set
	 */
	public void setVim(VM vim) {
		this.vim = vim;
	}

	public String toString() {
		String s = "";
		if (vim != null)
			;
		s = vim.toString();
		return getClass().getSimpleName() + "(name=" + getName() + ",vim=" + s
				+ ")";
	}

}
