/**
 * 
 */
package org.bellard.eqemu.network;

import java.util.HashMap;
import java.util.Map;

/**
 * @author Eric Bellard - eric.bellard@gmail.com
 * 
 */
public class PortManager {

	private int nextPort;

	private Map<String, Integer> namePort = new HashMap<String, Integer>();

	public PortManager(int nextport) {
		this.nextPort = nextport;
	}

	public int getNextPort(String processname) {
		int port = nextPort;
		// TODO check that the port is free
		if (namePort.get(processname)!=null) {
			port = namePort.get(processname);
		} else {
			nextPort++;
			namePort.put(processname, port);
		}
		return port;
	}
	
	
}
