/**
 * 
 */
package org.bellard.eqemu.resources;

import java.io.IOException;
import java.io.OutputStream;

import org.apache.log4j.Logger;
import org.eclipse.jface.preference.PreferenceStore;

/**
 * @author France Telecom
 * @Copyright France Telecom S.A. 2006
 */
public class VMConfigurationPropertiesPersister {

	private static final Logger logger = Logger
			.getLogger(VMConfigurationPropertiesPersister.class);

	private static final String VM_CONFIGURATION_PROPERTIES_FILE = "eqemu VM configuration properties file";

	public void saveProperties(PreferenceStore store, OutputStream os) {

		try {
			store.save(os, VM_CONFIGURATION_PROPERTIES_FILE);
		} catch (IOException e) {
			String message = "Pb during file write...";
			logger.debug(message, e);
			throw new RuntimeException(message, e);
		}
	}

}
