/**
 * 
 */
package org.bellard.eqemu.utils;

import org.bellard.eqemu.resources.Messages;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.ui.PlatformUI;

/**
 * @author Eric Bellard - eric.bellard@gmail.com
 * 
 */
public class ErrorUtils {

	public final static void displayErrorDialog(String messageKey) {
		String title = Messages.getString(messageKey+".title");
		String message = Messages.getString(messageKey+".message");
		MessageDialog.openError(PlatformUI.getWorkbench()
				.getActiveWorkbenchWindow().getShell(), title, message);

	}

}
